patch applied (cabal-install): Rewrite the script

Thorkil Naur naur at
Thu Jan 15 12:28:07 EST 2009


On Thursday 15 January 2009 12:25, Duncan Coutts wrote:
> Thu Jan 15 02:22:10 PST 2009  Duncan Coutts <duncan at>
>   * Rewrite the script
>   Hopefully more useful and more robust.

Yes, hopefully. A while back, I ran under Windows (with MSYS as I 
recall) and it sort of failed, I presume that the details are not 
interesting. I (think I) know, now, that you are not supposed to do that, 
that under Windows, you must install the dependencies individually.

Getting to the point here: I don't see a check on the environment anywhere, I 
am not sure how to do that, but you probably know. In any case, adding a 
check that produces an error message if you try to run this script under 
(MSYS or Cygwin) under Windows would seem valuable. Had such a check been in 
place at the time a while back that I refer to, I would have been spared some 

>   ---

Thanks and best regards

More information about the cabal-devel mailing list